SystemOrganization addCategory: #'MC2-Development-Builds'!

MDProduct subclass: #MDDistProduct
	instanceVariableNames: 'release'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Development-Builds'!

!MDDistProduct class methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2009 19:18'!
build: aString
	^ (self release: aString) build! !

!MDDistProduct class methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2009 19:12'!
release: aString
	^ self basicNew initializeWithRelease: aString! !

!MDDistProduct methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2009 19:12'!
initializeWithRelease: aString
	self initialize.
	release := aString
	! !

!MDDistProduct methodsFor: 'as yet unclassified' stamp: 'cwp 11/10/2009 00:14'!
sarName
	^ 'Monticello-', release, '.sar'! !

!MDDistProduct methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2009 19:18'!
specifyFileoutsOn: targets
	MDMetacelloProduct new
		project: ConfigurationOfMonticello2 new;
		specifyOn: targets! !

!MDDistProduct methodsFor: 'as yet unclassified' stamp: 'cwp 11/10/2009 00:13'!
specifyOn: targets
	targets zip name: self sarName; with: 
		[self specifyFileoutsOn: targets]! !
